Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class MopWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.MopWriter

    public class MopWriter
    extends java.lang.Object

Method Summary
`java.lang.Object` | `MopWriter(WriterController wc)`
`void` | `createMopMethods()`
`static java.lang.String` | `getMopMethodName(MethodNode method, boolean useThis)` creates a MOP method name from a method
`static boolean` | `isMopMethod(java.lang.String methodName)` method to determine if a method is a MOP method.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### MopWriter

    public java.lang.Object MopWriter(WriterController wc)

### createMopMethods

    public void createMopMethods()

### getMopMethodName

    public static java.lang.String getMopMethodName(MethodNode method, boolean useThis)

  creates a MOP method name from a method
  Parameters:
    `method` - the method to be called by the mop method
    `useThis` - if true, then it is a call on "this", "super" else
  Returns:
    the mop method name

### isMopMethod

    public static boolean isMopMethod(java.lang.String methodName)

  method to determine if a method is a MOP method. This is done by the method name. If the name starts with "this$" or "super$" but does not contain "$dist$", then it is an MOP method
  Parameters:
    `methodName` - name of the method to test
  Returns:
    true if the method is a MOP method

Groovy Documentation